Member (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.Member interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes
Interface Member

All Known Implementing Classes:
  MemberImpl, StaticMember

    public interface Member

The Member interface, defines a member in the group. Each member can carry a set of properties, defined by the actual implementation.
A member is identified by the host/ip/uniqueId
The host is what interface the member is listening to, to receive data
The port is what port the member is listening to, to receive data
The uniqueId defines the session id for the member. This is an important feature since a member that has crashed and the starts up again on the same port/host is not guaranteed to be the same member, so no state transfers will ever be confused

Version:
  $Revision: 467222 $, $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Filip Hanik

Field Summary
`static byte[]` | `SHUTDOWN_PAYLOAD` When a member leaves the cluster, the payload of the memberDisappeared member will be the following bytes.

Method Summary
`byte[]` | `getCommand()` returns the command associated with this member
`byte[]` | `getDomain()` Domain for this cluster
`byte[]` | `getHost()` Returns the listen host for the ChannelReceiver implementation
`long` | `getMemberAliveTime()` Contains information on how long this member has been online.
`java.lang.String` | `getName()` Returns the name of this node, should be unique within the group.
`byte[]` | `getPayload()` returns the payload associated with this member
`int` | `getPort()` Returns the listen port for the ChannelReceiver implementation
`int` | `getSecurePort()` Returns the secure listen port for the ChannelReceiver implementation.
`byte[]` | `getUniqueId()` returns a UUID unique for this member over all sessions.
`boolean` | `isFailing()`
`boolean` | `isReady()` The current state of the member
`boolean` | `isSuspect()` The current state of the member

Field Detail

### SHUTDOWN_PAYLOAD

    static final byte[] SHUTDOWN_PAYLOAD

  When a member leaves the cluster, the payload of the memberDisappeared member will be the following bytes. This indicates a soft shutdown, and not a crash

Method Detail

### getName

    java.lang.String getName()

  Returns the name of this node, should be unique within the group.

### getHost

    byte[] getHost()

  Returns the listen host for the ChannelReceiver implementation

  Returns:
    IPv4 or IPv6 representation of the host address this member listens to incoming data
  See Also:
    `ChannelReceiver`

### getPort

    int getPort()

  Returns the listen port for the ChannelReceiver implementation

  Returns:
    the listen port for this member, -1 if its not listening on an unsecure port
  See Also:
    `ChannelReceiver`

### getSecurePort

    int getSecurePort()

  Returns the secure listen port for the ChannelReceiver implementation. Returns -1 if its not listening to a secure port.

  Returns:
    the listen port for this member, -1 if its not listening on a secure port
  See Also:
    `ChannelReceiver`

### getMemberAliveTime

    long getMemberAliveTime()

  Contains information on how long this member has been online. The result is the number of milli seconds this member has been broadcasting its membership to the group.

  Returns:
    nr of milliseconds since this member started.

### isReady

    boolean isReady()

  The current state of the member

  Returns:
    boolean - true if the member is functioning correctly

### isSuspect

    boolean isSuspect()

  The current state of the member

  Returns:
    boolean - true if the member is suspect, but the crash has not been confirmed

### isFailing

    boolean isFailing()

  Returns:
    boolean - true if the member has been confirmed to malfunction

### getUniqueId

    byte[] getUniqueId()

  returns a UUID unique for this member over all sessions. If the member crashes and restarts, the uniqueId will be different.

  Returns:
    byte[]

### getPayload

    byte[] getPayload()

  returns the payload associated with this member

  Returns:
    byte[]

### getCommand

    byte[] getCommand()

  returns the command associated with this member

  Returns:
    byte[]

### getDomain

    byte[] getDomain()

  Domain for this cluster

  Returns:
    byte[]

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.